<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('panel.vargroup.item.sortorder', vargroupModel.variablegroupBean.name)}" />
		</ui:define>
		<ui:define name="body">
			<p:dataTable id="currentlist" value="#{vargroupModel.currentList}" var="v" sortField="ordering">
				<p:column headerText="#{facesContext.translate('label.name')}" sortBy="#{v.name}" sortable="true" order="asc">
					<h:outputText value="#{v.name}" />
				</p:column>
				<p:column headerText="#{facesContext.translate('label.varlabel')}" orderable="false">
					<ship:outputTranslation value="#{v.translation}" />
				</p:column>
				<p:column field="ordering" headerText="#{facesContext.translate('label.order')}" dataOrder="#{v.varorder}" sortBy="#{v.varorder}" sortable="true" order="asc" filterBy="#{v.varorder}">
					<p:inputText id="varorder" value="#{v.varorder}" styleClass="#{v.dirty ? 'dirty' : ''}" onchange="shiprimefaces.markAsDirty(this); shipprimefaces.markAsWarning('form:reorderbtn')"
						required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.order')}">
						<f:convertNumber integerOnly="true" groupingUsed="false" />
					</p:inputText>
				</p:column>
			</p:dataTable>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_cancel" action="#{vargroupController.toWelcome}" value="#{facesContext.translate('button.overview')}" immediate="true" ajax="false" />
			<p:commandButton id="btn_autoorder" action="#{vargroupController.doSetAutoOrder}" value="#{facesContext.translate('button.autoorder')}" ajax="true" update="form" />
			<p:commandButton id="reorderbtn" action="#{vargroupController.doUpdateVariablegroupOrder}" value="#{facesContext.translate('button.approve')}"
				styleClass="#{vargroupModel.hasDirty ? 'warning' : 'primary'}" ajax="true" update="form" />
			<p:commandButton id="btn_defs" action="#{vargroupController.toDefinition}" value="#{facesContext.translate('button.edit.definition')}" immediate="true" ajax="false" />
			<p:commandButton id="btn_content" action="#{vargroupController.toContent}" value="#{facesContext.translate('button.edit.content')}" immediate="true" ajax="false" />
		</ui:define>
		<ui:define name="help_de">
			Hier sehen Sie eine Übersicht aller zur Variablengruppe zugeordneten Variablen. In der rechten Spalte der Tabelle kann die Reihenfolge geändert werden. Dies muss durch einen Klick auf <i>Übernehmen</i> gespeichert werden.<br />
			<br />

      Nach Klicken von <i>Definition bearbeiten</i> können allgemeine Angaben der Variablengruppe (Name und Beschreibung) verändert werden.<br />
			<br />

      Nach Klicken von <i>Inhalt bearbeiten</i> werden für alle freigeschalteten Untersuchungsbereiche die Zahl verfügbarer und bereits ausgewählter Variablen angezeigt. 
		</ui:define>
		<ui:define name="help_en">
      Here you can see an overview of all variables assigned to the variable group. The order can be changed in the right column of the table. To save this please click <i>approve</i>.<br />
			<br />

      After clicking <i>edit definition</i>, general details of the variable group (name and description) can be changed.<br />
			<br />

      After clicking <i>edit content</i> the number of available and already selected variables is shown for all sections the user has acess to.
    </ui:define>
	</ui:composition>
</h:body>
</html>